package com.dskj.znzn.importData.executor.utils;

import com.github.junrar.Archive;
import com.github.junrar.exception.RarException;
import com.github.junrar.rarfile.FileHeader;

import java.io.*;

public class UnrarFile {

    public static void unrar(String rarFilePath, String destDirectory) {
        try (Archive archive = new Archive(new File(rarFilePath))) {
            FileHeader fileHeader;
            while ((fileHeader = archive.nextFileHeader()) != null) {
                String fileName = fileHeader.getFileNameString().trim();
                String filePath = destDirectory + File.separator + fileName;
                if (fileHeader.isDirectory()) {
                    new File(filePath).mkdirs();
                } else {
                    try (FileOutputStream fos = new FileOutputStream(filePath)) {
                        archive.extractFile(fileHeader, fos);
                    }
                }
            }
        } catch (IOException | RarException e) {
            e.printStackTrace();
        }
    }
}