package com.dskj.znzn.importData.generate;

import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import com.baomidou.mybatisplus.generator.config.po.LikeTable;
import com.baomidou.mybatisplus.generator.config.rules.DateType;
import com.baomidou.mybatisplus.generator.config.rules.DbColumnType;
import com.baomidou.mybatisplus.generator.engine.VelocityTemplateEngine;

import java.io.File;
import java.io.IOException;
import java.sql.Types;
import java.util.Collections;

import static com.baomidou.mybatisplus.core.enums.SqlLike.RIGHT;

/**
 * @author 魏志亮
 */
public class CodeGenerateMain {

    static final String host = "192.168.50.235";
    static final Integer port = 30306;
    static final String dbName = "import_data";
    static final String username = "root";
    static final String password = "admin123456";

    static final String url = String.format("jdbc:mysql://%s:%s/%s?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true&useSSL=false&allowPublicKeyRetrieval=true", host, port, dbName);

    public static void main(String[] args) throws IOException {
        //逗号分隔 ,all：查询全部  前缀_：匹配
        String includTables = "executor_history";

        //去掉表前缀
        String replaceTablePrefix = "";

        File directory = new File("");
        //项目路径-mgb
        String sourcePath = String.join(File.separator, directory.getCanonicalPath(), "src", "main");
        String javaPath = sourcePath + File.separator + "java";
        String resouces = sourcePath + File.separator + "resources";
        String xmlPahth = String.join(File.separator, resouces, "mapper");

        FastAutoGenerator.create(url, username, password).
                globalConfig(builder -> builder.author("魏志亮")
                        .enableSwagger()
                        .dateType(DateType.ONLY_DATE)
                        .outputDir(javaPath))
                .dataSourceConfig(builder -> builder.typeConvertHandler((globalConfig, typeRegistry, metaInfo) -> {
                    int typeCode = metaInfo.getJdbcType().TYPE_CODE;
                    if (typeCode == Types.TINYINT) {
                        // 自定义类型转换
                        return DbColumnType.INTEGER;
                    }
                    return typeRegistry.getColumnType(metaInfo);
                })).
                packageConfig(builder -> {
                    builder.parent("com.dskj.znzn.importData.web");
                    builder.pathInfo(Collections.singletonMap(OutputFile.xml, xmlPahth)); // 设置mapperXml生成路径
                })
                .strategyConfig(builder -> {
                    builder.enableSkipView();
                    builder.addTablePrefix(replaceTablePrefix);
                    builder.disableSqlFilter();
                    if ("all".equalsIgnoreCase(includTables)) {
                        builder.likeTable(new LikeTable(""));
                    } else if (includTables.endsWith("_")) {
                        builder.likeTable(new LikeTable(includTables, RIGHT));
                    } else {
                        builder.addInclude(includTables);
                    }
                    builder.entityBuilder().enableLombok().enableFileOverride();
                    builder.controllerBuilder().enableRestStyle().enableFileOverride();
                    builder.mapperBuilder().enableFileOverride();

                })
                .templateEngine(new VelocityTemplateEngine())
                .execute();

    }
}
