package com.dskj.znzn.importData.web.controller;

import com.dskj.znzn.importData.common.base.R;
import com.dskj.znzn.importData.web.entity.BaseTemplateField;
import com.dskj.znzn.importData.web.service.IBaseTemplateFieldService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * @author 魏志亮
 * @since 2024-10-30
 */
@RestController
@RequestMapping("baseTemplateField")
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
@Api(tags = "基础模板-字段")
public class BaseTemplateFieldController {

    private final IBaseTemplateFieldService baseTemplateFieldService;

    @ApiOperation(value = "根据模板ID获取")
    @GetMapping("/template/{templateId}")
    public R<List<BaseTemplateField>> getByTemplateId(@PathVariable Integer templateId) {
        return R.ok(baseTemplateFieldService.getByTemplateId(templateId));
    }

}
