package com.dskj.znzn.importData.web.controller;

import com.dskj.znzn.importData.common.base.PageR;
import com.dskj.znzn.importData.common.base.R;
import com.dskj.znzn.importData.web.entity.ExecutorHistory;
import com.dskj.znzn.importData.web.indata.ListByQueryInData;
import com.dskj.znzn.importData.web.indata.SubmitProcessGroupInData;
import com.dskj.znzn.importData.web.outdata.ExecutorHistoryOutData;
import com.dskj.znzn.importData.web.service.IExecutorHistoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;


/**
 * @author 魏志亮
 * @since 2024-11-25
 */
@RestController
@RequestMapping("executorHistory")
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
@Api(tags = "执行记录")
public class ExecutorHistoryController {

    private final IExecutorHistoryService executorHistoryService;

    @ApiOperation(value = "根据ID获取")
    @GetMapping("/{id}")
    public R<ExecutorHistory> getById(@PathVariable Long id) {
        return R.ok(executorHistoryService.getById(id));
    }


    @PostMapping(value = "submitProcessGroup")
    @ApiOperation(value = "添加执行器组记录")
    public R submitProcessGroup(@Valid @RequestBody SubmitProcessGroupInData inData) {
        executorHistoryService.submitProcessGroup(inData);
        return R.ok();
    }

    @ApiOperation(value = "获取执行流程记录")
    @PostMapping("listByQuery")
    public PageR<ExecutorHistoryOutData> listByQuery(@RequestBody ListByQueryInData inData) {
        return executorHistoryService.listByQuery(inData);
    }
}
