package com.dskj.znzn.importData.web.controller;

import com.dskj.znzn.importData.common.base.R;
import com.dskj.znzn.importData.web.entity.MappingField;
import com.dskj.znzn.importData.web.service.IMappingFieldService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * @author 魏志亮
 * @since 2024-10-30
 */
@RestController
@RequestMapping("mappingField")
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
@Api(tags = "映射字段")
public class MappingFieldController {

    private final IMappingFieldService mappingFieldService;

    @ApiOperation(value = "根据执行器ID获取所有映射关系")
    @GetMapping("/processId/{processId}")
    public R<List<MappingField>> getByProcessId(@PathVariable Integer processId) {
        return R.ok(mappingFieldService.getByProcessId(processId));
    }

}
