package com.dskj.znzn.importData.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 魏志亮
 * @since 2024-10-30
 */
@Getter
@Setter
@TableName("base_template_field")
@ApiModel(value = "BaseTemplateField对象", description = "基础模板-字段")
public class BaseTemplateField implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("模板ID")
    private Integer templateId;

    @ApiModelProperty("标准化字段")
    private String standardizedName;

    @ApiModelProperty("是否是索引列,合并表的时候,多个文件合并使用 0:不是,非必填  1:是,必填,  默认0")
    private Integer isIndex;

    @ApiModelProperty("是否是切割文件的字段 0:不是 1:是 ,默认0")
    private Integer isCutCol;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;
}
