package com.dskj.znzn.importData.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author 魏志亮
 * @since 2024-11-25
 */
@Getter
@Setter
@TableName("executor_history")
@ApiModel(value = "ExecutorHistory对象", description = "执行记录")
public class ExecutorHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("当前执行记录的名称")
    private String name;

    @ApiModelProperty("执行器组ID")
    private Integer processGroupId;

    @ApiModelProperty("执行器读取文件路径,Map 执行器ID:路径")
    private String inputDirs;

    @ApiModelProperty("结果保存路径")
    private String outPutDir;

    @ApiModelProperty("-1:等待中 0:转化中 1:转化成功 2:转化失败")
    private Integer execStatus;

    @ApiModelProperty("0:不可用 1:可用")
    private Integer status;

    @ApiModelProperty("异常信息")
    private String errInfo;

    @ApiModelProperty("开始执行时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;

    @ApiModelProperty("结束执行时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty("进度")
    private Double transferProgress;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
