package com.dskj.znzn.importData.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 魏志亮
 * @since 2024-10-30
 */
@Getter
@Setter
@TableName("mapping_field")
@ApiModel(value = "MappingField对象", description = "映射字段")
public class MappingField implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("模板ID")
    private Integer templateId;

    @ApiModelProperty("模版标准化字段ID")
    private Integer templateFiledId;

    @ApiModelProperty("处理器组ID")
    private Integer processGourpId;

    @ApiModelProperty("处理器ID")
    private Integer processExecutorId;

    @ApiModelProperty("标准化字段")
    private String standardizedName;

    @ApiModelProperty("数据对应的名称,如有多个,号 分割")
    private String dataName;

    @ApiModelProperty("移除的字符串,如有多个,号 分割")
    private String removeCharacters;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;
}
