package com.dskj.znzn.importData.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 魏志亮
 * @since 2024-10-30
 */
@Getter
@Setter
@TableName("process_group")
@ApiModel(value = "ProcessGroup对象", description = "执行器组")
public class ProcessGroup implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("模板ID")
    private Integer templateId;

    @ApiModelProperty("执行器组名称")
    private String name;

    @ApiModelProperty("0:竖向 1:横向,自定义方式用 0,1,0 拼接 ")
    private String joinType;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("0:不可用 1:可用")
    private Integer status;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
