package com.dskj.znzn.importData.web.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
@Data
public class AddProcessGroupInData {

    @ApiModelProperty("执行器组名称")
    @NotBlank
    private String name;

    @ApiModelProperty("模板ID")
    @NotNull
    private Integer templateId;

    @ApiModelProperty("连接方式数组,  0:竖向 1:横向, 自定义使用 0,1,0 方式拼接")
    @NotEmpty
    private List<String> joinTypeList;

    @ApiModelProperty("执行器数组")
    @NotEmpty
    @Valid
    private List<ProcessExecutorInData> processExecutorInDataList;

}
