package com.dskj.znzn.importData.web.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@ApiModel
@Data
public class ProcessExecutorInData {

    @ApiModelProperty("执行器名称")
    @NotBlank
    private String name;

    @ApiModelProperty("0:不包含表头 1:包含表头")
    private Integer hasHeader;

    @ApiModelProperty("已知的字段")
    @NotEmpty
    private List<String>knownFieldsList;

    @ApiModelProperty("映射关系")
    @NotEmpty
    @Valid
    private List<MappingFieldInData> mappingFieldList;

}
