package com.dskj.znzn.importData.web.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel
public class SubmitProcessGroupInData {

    @ApiModelProperty("当前执行记录的名称")
    @NotBlank(message = "请填写执行记录的名称")
    private String name;

    @ApiModelProperty("执行器组ID")
    @NotNull
    private Integer processGroupId;

    @ApiModelProperty("保存路径")
    @NotBlank
    private String outputDir;

    @ApiModelProperty("执行器读取路径")
    @NotEmpty
    @Valid
    private List<ExecutorHistoryProcessInData> executorHistoryProcessInDataList;

}
