package com.dskj.znzn.importData.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.importData.web.entity.BaseTemplateField;
import com.dskj.znzn.importData.web.indata.TemplateFieldsInData;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-10-29
 */
public interface IBaseTemplateFieldService extends IService<BaseTemplateField> {

    /**
     * 通过模板ID获取标准化字段
     *
     * @param templateId 模板ID
     */
    List<BaseTemplateField> getByTemplateId(Integer templateId);

    /**
     * 删除历史数据并添加新的数据
     *
     * @param id                 模板ID
     * @param templateFieldsInDataList 标准化字段
     */
    void deleteAndSaveByTemplateId(Integer id, List<TemplateFieldsInData> templateFieldsInDataList);
}
