package com.dskj.znzn.importData.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.importData.web.entity.BaseTemplate;
import com.dskj.znzn.importData.web.indata.AddBaseTemplateInData;
import com.dskj.znzn.importData.web.indata.EditBaseTemplateInData;
import com.dskj.znzn.importData.web.outdata.GetBaseTemplateOutData;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-10-29
 */
public interface IBaseTemplateService extends IService<BaseTemplate> {

    /**
     * 获取所有可用基础模板
     *
     * @return 所有可用基础模板
     */
    List<BaseTemplate> getAllEnabled(String name);

    /**
     * 新增模板
     *
     * @param inData 模板数据
     */
    void addTemplate(AddBaseTemplateInData inData);

    /**
     * 删除模板
     *
     * @param id 主键
     */
    void deleteTemplate(Integer id);

    /**
     * 查询当前模板是佛被使用
     *
     * @param id 模板ID
     */
    void queryUsed(Integer id);

    /**
     * 获取本模板下的所有信息
     *
     * @param id 模板ID
     */
    GetBaseTemplateOutData getBaseDataById(Integer id);

    /**
     * 编辑模板
     *
     * @param inData 编辑模板
     */
    void editTemplate(EditBaseTemplateInData inData);
}
