package com.dskj.znzn.importData.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.importData.web.entity.ProcessExecutor;
import com.dskj.znzn.importData.web.outdata.ProcessExecutorOutData;
import com.dskj.znzn.importData.web.indata.ReadExcepDataInData;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-10-29
 */
public interface IProcessExecutorService extends IService<ProcessExecutor> {

    /**
     * 同构执行组ID获取执行器
     *
     * @param processGroupId 执行组ID
     * @return
     */
    List<ProcessExecutor> getByProcessGroupId(Integer processGroupId);

    /**
     * @param fileName    文件名
     * @param inputStream 文件流
     * @param suffix      后缀
     * @param inData      入参
     * @return 列名数据
     */
    List<Map<Integer, Object>> readExcelData(String fileName, InputStream inputStream, String suffix, ReadExcepDataInData inData) throws IOException;

    /**
     * 获取执行器组完整信息
     *
     * @param processGroupId 执行器组ID
     * @return
     */
    List<ProcessExecutorOutData> getCompleteByProcessGroupId(Integer processGroupId);

    /**
     * 编辑执行器组,使原来的不可用
     * @param id
     */
    void deleteByProcessGroupId(Integer id);
}
