package com.dskj.znzn.importData.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.importData.web.entity.ProcessGroup;
import com.dskj.znzn.importData.web.indata.AddProcessGroupInData;
import com.dskj.znzn.importData.web.indata.EditProcessGroupInData;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-10-29
 */
public interface IProcessGroupService extends IService<ProcessGroup> {

    /**
     * 查询使用了模板的执行器组名称
     *
     * @param templateId 模板ID
     * @return 执行器组的名称
     */
    List<ProcessGroup> getByTemplateId(Integer templateId);

    /**
     * 保存执行器组
     *
     * @param inData 数据
     */
    void saveProceeGroup(AddProcessGroupInData inData);

    /**
     * 删除执行器组
     *
     * @param processGroupId 执行器组ID
     */
    void deleteProcessGroup(Integer processGroupId);

    /**
     * 编辑执行器组
     *
     * @param inData 数据
     */
    void editProcessGroup(EditProcessGroupInData inData);

    /**
     * 复制执行器组
     *
     * @param processGroupId 执行器组ID
     */
    void copyProcessGroup(Integer processGroupId);

}
