package com.dskj.znzn.importData.web.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dskj.znzn.importData.web.entity.MappingField;
import com.dskj.znzn.importData.web.mapper.MappingFieldMapper;
import com.dskj.znzn.importData.web.service.IMappingFieldService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-10-29
 */
@Service
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
public class MappingFieldServiceImpl extends ServiceImpl<MappingFieldMapper, MappingField> implements IMappingFieldService {

    @Override
    public List<MappingField> getByProcessId(Integer processId) {
        LambdaQueryWrapper<MappingField> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(MappingField::getProcessExecutorId, processId);
        return list(queryWrapper);
    }
}
