
import java.io.FileInputStream;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class TestReadBin {


    public static void main(String[] args) {
        String filePath = "C:\\Users\\Administrator\\Documents\\WeChat Files\\anmox-\\FileStorage\\File\\2024-11\\11.bin";

        try (FileInputStream fis = new FileInputStream(filePath)) {
            while (fis.available() > 0) {
                // 读取部分长度（4字节整数）
                byte[] lengthBytes = new byte[4];
                fis.read(lengthBytes);
                int length = ByteBuffer.wrap(lengthBytes).order(ByteOrder.LITTLE_ENDIAN).getInt();

                // 读取部分数据
                byte[] data = new byte[length];
                fis.read(data);

                System.out.println("部分长度: " + length);
                for (byte b : data) {
                    System.out.printf("0x%02X ", b);
                }
                System.out.println();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

